<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/room_bottom_dialog_bg"
    android:paddingBottom="20dp"
    tools:layout_height="400dp">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_users"
        android:layout_width="match_parent"
        android:layout_height="64dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_send_to"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:includeFontPadding="false"
            android:text="@string/room_gift_send_to"
            android:textColor="@color/color_FFC9CDD4"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_users"
            style="@style/CommonHorizontalFade"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="6dp"
            android:layout_marginEnd="10dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/tv_send_to"
            app:layout_constraintTop_toTopOf="parent"
            tools:itemCount="1"
            tools:listitem="@layout/item_room_gift_user" />

        <View
            android:layout_width="0dp"
            android:layout_height="1dp"
            android:layout_marginHorizontal="10dp"
            android:background="@color/color_33FFFFFF"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_gifts"
        style="@style/CommonVerticalFade"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginHorizontal="7.5dp"
        android:layout_marginTop="10dp"
        android:layout_marginBottom="10dp"
        app:layout_constraintBottom_toTopOf="@id/cl_bottom"
        app:layout_constraintTop_toBottomOf="@+id/cl_users"
        tools:listitem="@layout/item_room_gift" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_bottom"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginEnd="16dp"
        app:layout_constraintBottom_toBottomOf="parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/btn_balance"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_diamond"
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:src="@drawable/common_wallet_diamond_ic"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_balance"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="3dp"
                android:includeFontPadding="false"
                android:text="0"
                android:textColor="@color/white"
                android:textSize="16sp"
                app:fontFamily="@font/poppins_semibold"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toEndOf="@+id/iv_diamond"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="100" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_balance_go"
                android:layout_width="16dp"
                android:layout_height="16dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toEndOf="@id/tv_balance"
                app:layout_constraintTop_toTopOf="parent"
                app:srcCompat="@drawable/common_go_white_bold_ic" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_right"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="10dp"
            android:background="@drawable/room_bottom_send_gift_button"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <com.adealink.weparty.commonui.widget.NumberIncreaseView
                android:id="@+id/v_number"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="3.5dp"
                android:layout_marginEnd="10dp"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toStartOf="@id/btn_send"
                app:layout_constraintHorizontal_chainStyle="packed"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:number_add_src="@drawable/room_number_add_ic"
                app:number_minus_disable_src="@drawable/room_number_minus_disable_ic"
                app:number_minus_src="@drawable/room_number_minus_ic"
                app:number_text_color="@color/white"
                tools:visibility="visible" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/btn_send"
                android:layout_width="wrap_content"
                android:layout_height="32dp"
                android:background="@drawable/common_button_bg"
                android:gravity="center"
                android:includeFontPadding="false"
                android:paddingHorizontal="12dp"
                android:text="Send"
                android:textColor="@color/white"
                android:textSize="14sp"
                app:fontFamily="@font/poppins_semibold"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@id/v_number"
                app:layout_constraintTop_toTopOf="parent" />
        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>